Chuyển đến nội dung
Diễn đàn CADViet
sck84

[Yêu cầu] lisp bo hatch

Các bài được khuyến nghị

Cái đó thì là do cad chứ không phải do lisp. Trước khi thực hiện lệnh thì tạo 1 layer mới cho nó hiện hành. xong tắt hết layer đi để lại layer chứa đường bao mới tạo rồi dùng lệnh Join nối lại.

  • Like 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Vào lúc 8/8/2011 tại 11:17, phamngoctukts đã nói:

Bạn dùng thử cái này xem sao:

 


(defun c:bh( / sl n)
 (setq sl (acet-ss-to-list(ssget '((0 . "HATCH")))))
 (foreach n sl
   (command "hatchedit" n "b" "p" "y" "")
   )
 )
 

 

Lisp của bác quá đỉnh luôn. em cảm ơn nhé!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Vào lúc 8/8/2011 tại 11:17, phamngoctukts đã nói:

Bạn dùng thử cái này xem sao:

 


(defun c:bh( / sl n)
 (setq sl (acet-ss-to-list(ssget '((0 . "HATCH")))))
 (foreach n sl
   (command "hatchedit" n "b" "p" "y" "")
   )
 )
 

 

Lisp của bác quá đỉnh luôn. em cảm ơn nhé!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

×